package test.check;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.JComboBox;
import javax.swing.JComponent;

import org.jvnet.substance.SubstanceLookAndFeel;
import org.jvnet.substance.painter.*;

public class BackgroundCompositeCombo extends JComboBox {
	protected JComponent component;

	public BackgroundCompositeCombo(final JComponent component) {
		super(new Object[] { "default", "decay", "alpha 0.25", "alpha 0.5",
				"alpha 0.75" });
		this.component = component;
		this.addItemListener(new ItemListener() {
			public void itemStateChanged(ItemEvent e) {
				if (e.getStateChange() == ItemEvent.SELECTED) {
					Object selected = e.getItem();
					if ("default".equals(selected))
						component.putClientProperty(
								SubstanceLookAndFeel.BACKGROUND_COMPOSITE,
								new DefaultControlBackgroundComposite());
					if ("decay".equals(selected))
						component.putClientProperty(
								SubstanceLookAndFeel.BACKGROUND_COMPOSITE,
								new DecayControlBackgroundComposite());
					if ("alpha 0.25".equals(selected))
						component.putClientProperty(
								SubstanceLookAndFeel.BACKGROUND_COMPOSITE,
								new AlphaControlBackgroundComposite(0.25f));
					if ("alpha 0.5".equals(selected))
						component.putClientProperty(
								SubstanceLookAndFeel.BACKGROUND_COMPOSITE,
								new AlphaControlBackgroundComposite(0.5f));
					if ("alpha 0.75".equals(selected))
						component.putClientProperty(
								SubstanceLookAndFeel.BACKGROUND_COMPOSITE,
								new AlphaControlBackgroundComposite(0.75f));
					component.repaint();
				}
			}
		});
	}
}
